repo/gentoo:master commit in: dev-util/uftrace/
"Guilherme Amadio" <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786614029.f40e31f5448994db6f3ab81f3127826de8674b33.amadio@gentoo> |
commit: f40e31f5448994db6f3ab81f3127826de8674b33
Author: Guilherme Amadio <amadio <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 13 09:30:49 2026 +0000
Commit: Guilherme Amadio <amadio <AT> gentoo <DOT> org>
CommitDate: Thu Aug 13 09:40:29 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f40e31f5
dev-util/uftrace: add 0.19
Signed-off-by: Guilherme Amadio <amadio <AT> gentoo.org>
dev-util/uftrace/Manifest | 1 +
dev-util/uftrace/uftrace-0.19.ebuild | 71 ++++++++++++++++++++++++++++++++++++
2 files changed, 72 insertions(+)
diff --git a/dev-util/uftrace/Manifest b/dev-util/uftrace/Manifest
index bb434db88147..7196b323d176 100644
--- a/dev-util/uftrace/Manifest
+++ b/dev-util/uftrace/Manifest
@@ -1,3 +1,4 @@
DIST uftrace-0.17.tar.gz 1164457 BLAKE2B 7e9ed9af07d9f2ca8b78d7b7651408f5065917207c57855e6486c6d0d8acdaf3f87096a789f74e4458705c2fd59393fb6973f8e43750bc0bb4e3ab56268e6177 SHA512 b76ac32e68b474522f7d9c470940093bc37cf5d3d2d119d10ffad2954262e83c4092f593f307a41c765a6975416bfc62b844436a4d1888639741eb328e16e1d8
DIST uftrace-0.18.1.tar.gz 1173722 BLAKE2B 2185205b0cbaafcb497adce672611f5bc28c6dbecd02b757fc5f2ee3c5d9967ac8aa539c66dc106e40ad3e19adce33e984da4dd6aa336a45c8bec9396f53f7dd SHA512 372b7ab0f9b87904493c21e58497d886c212708129334203c11bce1a86da212d2b44f6c66a12d813bab5ab581c866a114d34ffbc403089497942142c7bfb8315
DIST uftrace-0.18.tar.gz 1173673 BLAKE2B 866e4489e482b60fc487de77dfcb5cb1c4733c7e1d5a4fa43728fd1d7129ff53c6dcce493ca7478a554cfba5462c7e457d7fb3d8046cf4804963c6521e1f246d SHA512 07b3559248698c9c5155a6a97e0781b1f16778e773f3522d7f9b553998e69285ddb69e29be9e271c439edd95adb6a12fa57967015716c3e450498f6835b7c613
+DIST uftrace-0.19.tar.gz 1176532 BLAKE2B b7dea0ce0e5e895828f09c8591787a12415eaed8ed5bbd25629508e9564f97f2ee8f4109620a89f5b1cdf8b3b25570c9eedf55ff0dee8c3a044e528ff6598a43 SHA512 725b265e103a933fe9dfccaf19d3846077519c86a24380ced15f1eb5ab30400efd5ce9fd50f704b51dd2b738e4e9c849df647a7be5d6373ac2834a64a10808ce
diff --git a/dev-util/uftrace/uftrace-0.19.ebuild b/dev-util/uftrace/uftrace-0.19.ebuild
new file mode 100644
index 000000000000..a8d59a202358
--- /dev/null
+++ b/dev-util/uftrace/uftrace-0.19.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( luajit )
+PYTHON_COMPAT=( python3_{11..14} ) # fails to compile with python3.13t
+
+inherit bash-completion-r1 lua-single python-single-r1 toolchain-funcs
+
+DESCRIPTION="Function (graph) tracer for user-space"
+HOMEPAGE="https://github.com/namhyung/uftrace"
+SRC_URI="https://github.com/namhyung/uftrace/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ~arm64"
+IUSE="capstone lua python unwind"
+
+REQUIRED_USE="
+ lua? ( ${LUA_REQUIRED_USE} )
+ python? ( ${PYTHON_REQUIRED_USE} )
+"
+
+RESTRICT="test"
+
+RDEPEND="
+ sys-libs/ncurses:=
+ virtual/libelf:=
+ capstone? ( dev-libs/capstone:0= )
+ lua? ( ${LUA_DEPS} )
+ python? ( ${PYTHON_DEPS} )
+ unwind? ( sys-libs/libunwind:= )
+"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ default
+ sed -i -e "s/ARCH/MYARCH/g" -e "/ldconfig/d" -e "/bash.completion/d" Makefile || die
+ sed -i -e '/PYTHON_LDFLAGS/{s/$(PYTHON_LDFLAGS)/$(COMMON_LDFLAGS) $(PYTHON_LDFLAGS)/g; p}' Makefile || die
+}
+
+src_configure() {
+ local myconf=(
+ --libdir="${EPREFIX}/usr/$(get_libdir)/uftrace"
+ $(use_with capstone)
+ $(use_with unwind libunwind)
+ $(use_with python libpython)
+ )
+ if use lua && use lua_single_target_luajit; then
+ myconf+=(
+ --with-libluajit
+ )
+ else
+ myconf+=(
+ --without-libluajit
+ )
+ fi
+ CC="$(tc-getCC)" LD="$(tc-getLD)" econf "${myconf[@]}"
+}
+
+src_compile() {
+ emake V=1
+}
+
+src_install() {
+ default
+
+ dodoc doc/*.{md,gif,png}
+ newbashcomp misc/bash-completion.sh uftrace
+}